{
  "schema_version": "1.4.0",
  "id": "GHSA-c76w-89q6-h938",
  "modified": "2022-05-14T01:09:55Z",
  "published": "2022-05-14T01:09:55Z",
  "aliases": [
    "CVE-2017-8924"
  ],
  "details": "The edge_bulk_in_callback function in drivers/usb/serial/io_ti.c in the Linux kernel before 4.10.4 allows local users to obtain sensitive information (in the dmesg ringbuffer and syslog) from uninitialized kernel memory by using a crafted USB device (posing as an io_ti USB serial device) to trigger an integer underflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:P/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-8924"
    },
    {
      "type": "WEB",
      "url": "https://github.com/torvalds/linux/commit/654b404f2a222f918af9b0cd18ad469d0c941a8e"
    },
    {
      "type": "WEB",
      "url": "http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=654b404f2a222f918af9b0cd18ad469d0c941a8e"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2017/dsa-3886"
    },
    {
      "type": "WEB",
      "url": "http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.10.4"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/98451"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-191"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-05-12T21:29:00Z"
  }
}